Skip to main content
GET
/
v1
/
metrics
/
lending-borrow-total-usd
Lending Borrow Total Usd
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/lending-borrow-total-usd \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: USD
  • Type: USD Value
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/lending-borrow-total-usd?project=celo"

Example Response

{
  "celo": [
    {
      "date": "2026-04-19",
      "value": 4581953.349559959
    },
    {
      "date": "2026-04-18",
      "value": 4635911.213083789
    },
    {
      "date": "2026-04-17",
      "value": 4691538.191617948
    },
    {
      "date": "2026-04-16",
      "value": 4659272.214248492
    },
    {
      "date": "2026-04-15",
      "value": 4588621.8065241845
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
arbitrum,
avalanche,
base,
bnb,
celo,
ethereum,
gnosis,
hyperevm,
katana,
linea,
optimism,
plasma,
plume,
polygon,
scroll,
solana,
sonic,
unichain,
worldchain,
zksync
Example:

"arbitrum"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]